Package com.complexible.common.rdf

# Class ContextFallbackStatementSource

java.lang.Object
com.complexible.common.rdf.DelegatingStatementSource
com.complexible.common.rdf.ContextFallbackStatementSource

All Implemented Interfaces:
  `StatementSource`, `Closeable`, `AutoCloseable`

public class ContextFallbackStatementSource extends DelegatingStatementSource

StatementSource decorator which will provide a context for statements that don't have a context. Contexts that already have a context will be unchanged.

Since:
  3.0
Version:
  6.0
Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from interface com.complexible.common.rdf.StatementSource

  `NO_ESTIMATE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextFallbackStatementSource(StatementSource theStatementSource, Resource theContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StatementIterator`
  `statements()`
  Return an iterator over the statements contained by this source.
  `List<RDFStream>`
  `streams()`
  Converts the statement source into one or more streams.

  ### Methods inherited from class com.complexible.common.rdf.DelegatingStatementSource

  `close, containsVirtual, estimatedCount, getContext, getSource, inMemory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextFallbackStatementSource

    public ContextFallbackStatementSource(StatementSource theStatementSource, Resource theContext)

- ## Method Details

  - ### streams

    public List<RDFStream> streams()
    Converts the statement source into one or more streams.
    Specified by:
      `streams` in interface `StatementSource`
    Overrides:
      `streams` in class `DelegatingStatementSource`

  - ### statements

    public StatementIterator statements()
    Return an iterator over the statements contained by this source.
    Specified by:
      `statements` in interface `StatementSource`
    Overrides:
      `statements` in class `DelegatingStatementSource`
    Returns:
      an iteration over the statements.